<?php

//declare(strict_types=1);

namespace Drupal\commerce_gc_client\Plugin\CommerceGcClient\RecurrenceRules;

use Drupal\commerce_gc_client\Attribute\RecurrenceRules;
use Drupal\commerce_gc_client\RecurrenceRulesPluginBase;
use Drupal\Core\StringTranslation\TranslatableMarkup;

/**
 * Plugin implementation of the commerce_gc_client.recurence_rules.
 */
#[RecurrenceRules(
  id: 'standard',
  label: new TranslatableMarkup('Recurrence Rules'),
  description: new TranslatableMarkup('Product variation recurrence rules settings form.'),
  form: 'Drupal\commerce_gc_client\PluginForm\RecurrenceRulesForm',
)]
final class RecurrenceRulesPlugin extends RecurrenceRulesPluginBase {
}
